/*
 * MosP - Mind Open Source Project         http://www.mosp.jp/
 * Copyright (C) 1987-2009 MIND Co., Ltd.  http://www.e-mind.co.jp/
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */
package jp.mosp.common.part;

/**
 * パート名称一覧
 * @author yoshida
 *	@version	0.0.2
 */
public enum PartType {

	/**
	 * CM_CODEパート
	 */
	cmcode(CmCodePart.class.getCanonicalName()),

	/**
	 * CM_CONFパート
	 */
	mospconf(MosPConfPart.class.getCanonicalName()),

	/**
	 * M_CODEパート
	 */
	mospcode(MosPCodePart.class.getCanonicalName()),

	/**
	 * M_KINTAIKEISANパート
	 */
	calculate(CalculatePart.class.getCanonicalName()),

	/**
	 * CM_USERパート
	 */
	mospuser(MosPUserPart.class.getCanonicalName()),

	/**
	 * M_KIHONパート
	 */
	human(HumanPart.class.getCanonicalName()),

	/**
	 * CM_AUTHORITYパート
	 */
	authority(AuthorityPart.class.getCanonicalName()),

	/**
	 * CM_COMPONENTパート
	 */
	component(ComponentPart.class.getCanonicalName()),

	/**
	 * M_SYOZOKUパート
	 */
	section(SectionPart.class.getCanonicalName()),

	/**
	 * M_KAISYAパート
	 */
	office(OfficePart.class.getCanonicalName()),

	/**
	 * CM_WORKTYPEパート
	 */
	worktype(WorkTypePart.class.getCanonicalName()),

	/**
	 * M_YAKUSYOKUパート
	 */
	position(PositionPart.class.getCanonicalName()),

	/**
	 * 和暦パート
	 */
	jpdate(JPDatePart.class.getCanonicalName()),

	/**
	 * 輪番パート
	 */
	rotation(RotationPart.class.getCanonicalName()),

	/**
	 * 承認パート
	 */
	approval(ApprovalPart.class.getCanonicalName()),

	/**
	 * 勤怠承認パート
	 */
	kintaiapproval(KintaiApprovalPart.class.getCanonicalName()),

	/**
	 * 勤怠集計パート
	 */
	kintaicompile(KintaiCompilePart.class.getCanonicalName()),

	/**
	 * 勤怠共通パート
	 */
	kintai(KintaiCommonPart.class.getCanonicalName()),

	/**
	 * 祝祭日パート
	 */
	holiday(HolidayPart.class.getCanonicalName()),

	/**
	 * 残業申請パート
	 * @since	0.0.2
	 */
	overtime(OverTimePart.class.getCanonicalName()),

	/**
	 * ワークフローパート
	 * @since	0.0.2
	 */
	workflow(WorkflowPart.class.getCanonicalName()),
	;

	private String name;

	private PartType (String name) {
		this.name = name;
	}

	public String toString() {
		return name;
	}

}
